proc Read {pipe} {
  if {[gets $pipe line] < 0} {
    close $pipe
    puts "## Ready ##"
    return
  }
  puts $line
}

set pipe [open "|ispell -t -d deutsch -T latin1 -a" r+]
fconfigure $pipe -blocking 0 -buffering line
fileevent $pipe readable "Read $pipe"
puts $pipe "Ich und Du Hello, abc Mausefalle"
